CVE-2018-11727

NameCVE-2018-11727
Description** DISPUTED ** The libfsntfs_attribute_read_from_mft function in libfsntfs_attribute.c in libfsntfs through 2018-04-20 allows remote attackers to cause an information disclosure (heap-based buffer over-read) via a crafted ntfs file. NOTE: the vendor has disputed this as described in libyal/libfsntfs issue 8 on GitHub.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libfsntfs (PTS)stretch20160418-1vulnerable
buster, sid20190104-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libfsntfssource(unstable)20190104-1unimportant

Notes

http://seclists.org/fulldisclosure/2018/Jun/17
https://github.com/libyal/libfsntfs/issues/8
https://github.com/libyal/libfsntfs/issues/9
https://github.com/libyal/libfsntfs/commit/7a17c43be39919227b4fe24684a8a29a90ee54ad
Negligable/questionable security impact

Search for package or bug name: Reporting problems